{% load static %}
<!DOCTYPE html>
<html>
<head>
	<title>{% block title %}Transcribe{% endblock title %}</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">

{% block html_head %}
	<link href='//fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" type="text/css" href="{% static "transcribe/css/reset.css" %}" />
	<link rel="stylesheet" type="text/css" href="{% static "transcribe/css/icons.css" %}" />
	<link rel="stylesheet" type="text/css" href="{% static "transcribe/css/style.css" %}?v1" />
    <link rel="shortcut icon" type="image/png" href="{% static "transcribe/favicon.ico" %}"/>
	

	<!--[if lt IE 9]>
	<script src="{% static "transcribe/js/lib/html5shiv-1.0.js" %}"></script>
	<![endif]-->

	<script src="{% static "transcribe/js/lib/jquery-1.7.1.js" %}" type="text/javascript"></script>
	<script src="{% static "transcribe/js/lib/formspackage-1.0.js" %}" type="text/javascript"></script>

	<script type="text/javascript" src="{% static "transcribe/js/lib/rangy/rangy-core.js" %}" ></script>
	<script type="text/javascript" src="{% static "transcribe/js/lib/jquery.scrollTo-1.4.3.1-min.js" %}" ></script>
	<script type="text/javascript" src="{% static "transcribe/js/app.js" %}" ></script>
{% endblock html_head %}
</head>
<body class="{% block bodyclasses %}{% endblock %}">
	{% if messages %}
	<ul class="notify">
		{% for message in messages %}
		<li class="{{ message.tags }}">{{ message }}</li>
		{% endfor %}
	</ul>
	{% endif %}

	{% block header %}

	<header id="header">
		<h1><a href="{% url 'landing_page' %}" class="saveTranscription">Transcribe</a></h1>
		
		{% if project %}
		<ul class='crumbs'>
			{% if user_task %}
			<li><a class="saveTranscription" href="/Project/view/{{ project.id }}">{{ project.title }}</a></li>
			<li><span>
				{% if user_task.task_type == 'transcription' %}
					{{ user_task.task_type }}
				{% endif %}
				{{ project.media_type }}
			</span></li>
			{% elif task %}
			<li><a class="saveTranscription" href="/Project/view/{{ project.id }}">{{ project.title }}</a></li>
			<li>{{ project.media_type }}</li>
			{% else %}
			<li><span>{{ project.title }}</span></li>
			{% endif %}
		</ul>
		{% endif %}

		<nav>
            {% if request.user.first_name or request.user.username %}
			<span class="userkey">Logged in as <b>{% firstof request.user.first_name request.user.username %}</b></span>
            {% endif %}
			<a id="toggle" href=""><span class="icon-menu-2"></span> Menu</a>
			<ul id="options">
				<li><a class="saveTranscription" href="{% url 'dashboard' %}"><span class="icon-home"></span> Dashboard</a></li>
				<li><a class="saveTranscription" href="{% url 'projects_list' %}"><span class="icon-stack"></span> Projects</a></li>
				{% if request.user.is_staff %}
                <li><a class="saveTranscription" href="{% url 'admin:transcribe_transcribeuser_changelist' %}"><span class="icon-users-2"></span> Users</a></li>
                <li><a class="saveTranscription" href="{% url 'reports:list' %}"><span class="icon-table"></span> Reports</a></li>
				{% endif %}
				<li><a class="saveTranscription" href="/faq"><span class="icon-question"></span> FAQ</a></li>
				<li><a class="saveTranscription" href="/help"><span class="icon-question"></span> Guidelines</a></li>
				<li><a class="saveTranscription" href="{% url 'logout' %}"><span class="icon-arrow-down-right-2"></span> Logout</a></li>
			</ul>
		</nav>

	</header>
	{% endblock header %}

	<section class="main">
		{% block content %}
		{% endblock content %}
	</section>

	{% block footer %}
	<footer id="footer">
		<div class="container">
            <p><a href="https://gitlab.com/byuhbll/lib/python/django-transcribe">Transcribe</a> is open source software created by the Brigham Young University Library.</p>
		</div>
	</footer>
	{% endblock footer %}
</body>
</html>
